Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025103
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementminoralways2013-11-07 16:472014-02-12 18:29
ReporterVictorVillarView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision626333aef574
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToVictorVillar
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025103: Changes in Product Characteristics values should be reflected in the rest of fields in the application

DescriptionChanges in Product Characteristics values should be reflected in the rest of fields in the application
Steps To ReproduceAs group admin role,
navigate to Product Characteristics window and create a new one:
  - name Color
  - Variant: Yes

 Values tab:
     - Rojo
     - Verde

Go to product window and create a new one:
    name: Pantalones
 navigate to Characteristics tab:
   create a new register selecting Color
Navigate again to Product Characteristics window,
     Add a new code for - Rojo
     Change the name to Rojo chillón
Save it.

Go to product window,
   select Pantalones and realise that the name has been changed in Characteristics Configuration subtab but not the code.
Any change of the Code in Product Characteristics window, should be reflected in this subtab, only when the explosion has not been done.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00255223.0PR14Q2 closedAtulOpenbravo Changes in Product Characteristics || Subset values should be reflected in the rest of fields in the application 

-  Notes
(0063446)
AtulOpenbravo (developer)
2014-01-16 16:36

Test Plan
- Login as F&B International Group Admin role.
- Go to Product Characteristics window. Create a new record.
  For Eg: Name - Color
          Variant - Yes
- Go to Values Tab & Create two records.
   1. Rojo
   2. Verde
- Go to product window and create a new record.
  For eg: Name - Pantalones
          Generic- Yes
- Go to Characteristics tab and create a new record and select Color Characteristics.
- Go to Product Characteristics window and select color record and update Value Tab information.
     - Change name as Rojo chillón
     - Add Code as Rojo
- Go to Product Window, Characteristics Configuration sub tab, Check that changes made in Code & Name reflects in this tab.
(0063565)
hgbot (developer)
2014-01-21 10:39

Repository: erp/devel/pi
Changeset: 626333aef574e5edbc60864e5f86159787d5bded
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Jan 16 20:23:28 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/626333aef574e5edbc60864e5f86159787d5bded [^]

Fixes Issue 25103:Reflect code changes of Product Characteristics values in conf

---
M src/org/openbravo/event/CharacteristicValueEventHandler.java
---
(0063566)
VictorVillar (developer)
2014-01-21 10:58

Verified
(0064099)
hudsonbot (developer)
2014-02-12 18:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-07 16:47 VictorVillar New Issue
2013-11-07 16:47 VictorVillar Assigned To => dmiguelez
2013-11-07 16:47 VictorVillar Modules => Core
2013-11-07 16:47 VictorVillar Triggers an Emergency Pack => No
2013-11-07 16:47 VictorVillar Issue Monitored: networkb
2013-11-08 12:14 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2013-12-09 16:55 jonalegriaesarte Assigned To jonalegriaesarte => jecharri
2013-12-09 16:55 jonalegriaesarte Assigned To jecharri => jonalegriaesarte
2013-12-16 09:52 jonalegriaesarte Target Version 3.0MP31 => 3.0MP32
2014-01-14 09:35 AtulOpenbravo Assigned To jonalegriaesarte => AtulOpenbravo
2014-01-14 13:14 AtulOpenbravo Status new => scheduled
2014-01-14 13:14 AtulOpenbravo fix_in_branch => pi
2014-01-16 16:36 AtulOpenbravo Note Added: 0063446
2014-01-21 10:39 hgbot Checkin
2014-01-21 10:39 hgbot Note Added: 0063565
2014-01-21 10:39 hgbot Status scheduled => resolved
2014-01-21 10:39 hgbot Resolution open => fixed
2014-01-21 10:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/626333aef574e5edbc60864e5f86159787d5bded [^]
2014-01-21 10:57 VictorVillar Relationship added related to 0025522
2014-01-21 10:58 VictorVillar Review Assigned To => VictorVillar
2014-01-21 10:58 VictorVillar Note Added: 0063566
2014-01-21 10:58 VictorVillar Status resolved => closed
2014-02-12 18:29 hudsonbot Checkin
2014-02-12 18:29 hudsonbot Note Added: 0064099


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker